karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Clement Jebakumar <jeba.r...@gmail.com>
Subject wrap:mvn:javax.servlet/servlet-api issue
Date Fri, 03 May 2013 11:45:52 GMT
Hi,

I am trying to create a feature for my bundles and try to create a custom
dist of karaf. But the build failed with below error:

[INFO] Installing feature
file:/C:/Users/cjebakum.ST-IDC/Documents/GitHub/archon
/declum-archon-new/target/assembly/system/org/apache/karaf/features/framework/3.
0.0.RC1/framework-3.0.0.RC1-features.xml to system and startup.properties
[INFO] Adding feature repository to system:
mvn:declum-archon/declum-archon-feat
ure/1.0.0-SNAPSHOT/xml/features
[INFO] Adding feature repository to system:
mvn:org.apache.karaf.features/standa
rd/3.0.0.RC1/xml/features
[WARNING] could not resolve wrap:mvn:javax.servlet/servlet-api/2.5
org.sonatype.aether.resolution.ArtifactResolutionException: Failure to find
wrap
:mvn:jar:javax.servlet/servlet-api/2.5 in
http://repo.maven.apache.org/maven2 wa
s cached in the local repository, resolution will not be reattempted until
the u
pdate interval of central has elapsed or updates are forced
        at
org.sonatype.aether.impl.internal.DefaultArtifactResolver.resolve(Def


This issue is not seen if i dont have these dependencys in my pom.
<dependency>
  <groupId>org.apache.felix</groupId>
  <artifactId>org.apache.felix.http.api</artifactId>
  <version>2.0.4</version>
</dependency>
<dependency>
  <groupId>org.apache.felix</groupId>
  <artifactId>org.apache.felix.http.base</artifactId>
  <version>2.0.4</version>
</dependency>
<dependency>
  <groupId>org.apache.felix</groupId>
  <artifactId>org.apache.felix.http.bridge</artifactId>
  <version>2.0.4</version>
</dependency>
<dependency>
  <groupId>org.apache.felix</groupId>
  <artifactId>org.apache.felix.http.bundle</artifactId>
  <version>2.0.4</version>
</dependency>
<dependency>
  <groupId>org.apache.felix</groupId>
  <artifactId>org.apache.felix.http.jetty</artifactId>
  <version>2.0.4</version>
</dependency>
<dependency>
  <groupId>org.apache.felix</groupId>
  <artifactId>org.apache.felix.http.proxy</artifactId>
  <version>2.0.4</version>
</dependency>
<dependency>
  <groupId>org.apache.felix</groupId>
  <artifactId>org.apache.felix.http.whiteboard</artifactId>
  <version>2.0.4</version>
</dependency>

Please help me in fixing this.

*Clement Jebakumar,*
111/27 Keelamutharamman Kovil Street,
Tenkasi, 627 811
http://www.declum.com/clement.html

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message